# Class: host&#95;cpu

**This class is deprecated.**

A physical CPU

## Fields for class: host&#95;cpu

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`family`            |`int`               |_RO/runtime_   |**Deprecated.** the family &#40;number&#41; of the physical CPU|
|`features`          |`string`            |_RO/runtime_   |**Deprecated.** the physical CPU feature bitmap         |
|`flags`             |`string`            |_RO/runtime_   |**Deprecated.** the flags of the physical CPU &#40;a decoded version of the features field&#41;|
|`host`              |`host ref`          |_RO/runtime_   |**Deprecated.** the host the CPU is in                  |
|`model`             |`int`               |_RO/runtime_   |**Deprecated.** the model number of the physical CPU    |
|`modelname`         |`string`            |_RO/runtime_   |**Deprecated.** the model name of the physical CPU      |
|`number`            |`int`               |_RO/runtime_   |**Deprecated.** the number of the physical CPU within the host|
|`other_config`      |`(string -> string) map`|_RW_           |**Deprecated.** additional configuration                |
|`speed`             |`int`               |_RO/runtime_   |**Deprecated.** the speed of the physical CPU           |
|`stepping`          |`string`            |_RO/runtime_   |**Deprecated.** the stepping of the physical CPU        |
|`utilisation`       |`float`             |_RO/runtime_   |**Deprecated.** the current CPU utilisation             |
|`uuid`              |`string`            |_RO/runtime_   |**Deprecated.** Unique identifier/object reference      |
|`vendor`            |`string`            |_RO/runtime_   |**Deprecated.** the vendor of the physical CPU          |

## RPCs associated with class: host&#95;cpu

### RPC name: add&#95;to&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given host&#95;cpu.

_Signature:_

```
void add_to_other_config (session ref session_ref, host_cpu ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: get&#95;all

**This message is deprecated.**

_Overview:_

Return a list of all the host&#95;cpus known to the system.

_Signature:_

```
host_cpu ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `host_cpu ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is deprecated.**

_Overview:_

Return a map of host&#95;cpu references to host&#95;cpu records for all host&#95;cpus known to the system.

_Signature:_

```
(host_cpu ref -> host_cpu record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(host_cpu ref -> host_cpu record) map`

records of all objects

### RPC name: get&#95;by&#95;uuid

**This message is deprecated.**

_Overview:_

Get a reference to the host&#95;cpu instance with the specified UUID.

_Signature:_

```
host_cpu ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `host_cpu ref`

reference to the object

### RPC name: get&#95;family

**This message is deprecated.**

_Overview:_

Get the family field of the given host&#95;cpu.

_Signature:_

```
int get_family (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;features

**This message is deprecated.**

_Overview:_

Get the features field of the given host&#95;cpu.

_Signature:_

```
string get_features (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;flags

**This message is deprecated.**

_Overview:_

Get the flags field of the given host&#95;cpu.

_Signature:_

```
string get_flags (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;host

**This message is deprecated.**

_Overview:_

Get the host field of the given host&#95;cpu.

_Signature:_

```
host ref get_host (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `host ref`

value of the field

### RPC name: get&#95;model

**This message is deprecated.**

_Overview:_

Get the model field of the given host&#95;cpu.

_Signature:_

```
int get_model (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;modelname

**This message is deprecated.**

_Overview:_

Get the modelname field of the given host&#95;cpu.

_Signature:_

```
string get_modelname (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;number

**This message is deprecated.**

_Overview:_

Get the number field of the given host&#95;cpu.

_Signature:_

```
int get_number (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Get the other&#95;config field of the given host&#95;cpu.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;record

**This message is deprecated.**

_Overview:_

Get a record containing the current state of the given host&#95;cpu.

_Signature:_

```
host_cpu record get_record (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `host_cpu record`

all fields from the object

### RPC name: get&#95;speed

**This message is deprecated.**

_Overview:_

Get the speed field of the given host&#95;cpu.

_Signature:_

```
int get_speed (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;stepping

**This message is deprecated.**

_Overview:_

Get the stepping field of the given host&#95;cpu.

_Signature:_

```
string get_stepping (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;utilisation

**This message is deprecated.**

_Overview:_

Get the utilisation field of the given host&#95;cpu.

_Signature:_

```
float get_utilisation (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `float`

value of the field

### RPC name: get&#95;uuid

**This message is deprecated.**

_Overview:_

Get the uuid field of the given host&#95;cpu.

_Signature:_

```
string get_uuid (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;vendor

**This message is deprecated.**

_Overview:_

Get the vendor field of the given host&#95;cpu.

_Signature:_

```
string get_vendor (session ref session_ref, host_cpu ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: remove&#95;from&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given host&#95;cpu.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, host_cpu ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Set the other&#95;config field of the given host&#95;cpu.

_Signature:_

```
void set_other_config (session ref session_ref, host_cpu ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_cpu ref`                |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`
